﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1388763_RadRibbonBarGallery
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            this.AllowTheming = false;

            this.radGalleryElement1.ItemSelection = true;
            ThemeResolutionService.LoadPackageFile(@"..\..\Windows8Custom.tssp");
            ThemeResolutionService.ApplicationThemeName = "Windows8Custom";

            this.radGalleryElement1.MinSize = new Size(500, 0);

            RadGalleryItem blueItem1 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery001);
            RadGalleryItem blueItem2 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery002);
            RadGalleryItem blueItem3 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery003);
            RadGalleryItem blueItem4 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery004);
            RadGalleryItem purpleItem1 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery005);
            RadGalleryItem purpleItem2 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery006);
            RadGalleryItem purpleItem3 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery007);
            RadGalleryItem purpleItem4 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery008);
            RadGalleryItem greenItem1 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery009);
            RadGalleryItem greenItem2 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery010);
            RadGalleryItem greenItem3 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery011);
            RadGalleryItem greenItem4 = new RadGalleryItem("", Properties.Resources.RibbonBar_GettingStarted_CreatingAGallery012);
            this.radGalleryElement1.Items.AddRange(blueItem1, blueItem2, blueItem3, blueItem4,
                                                    greenItem1, greenItem2, greenItem3, greenItem4,
                                                    purpleItem1, purpleItem2, purpleItem3, purpleItem4);

            RadGalleryGroupItem blueGroup = new RadGalleryGroupItem();
            blueGroup.Text = "Blue Items Group";
            blueGroup.Items.AddRange(blueItem1, blueItem2, blueItem3, blueItem4);
            this.radGalleryElement1.Groups.Add(blueGroup);

            RadGalleryGroupItem greenGroup = new RadGalleryGroupItem();
            greenGroup.Text = "Green Items Group";
            greenGroup.Items.AddRange(greenItem1, greenItem2, greenItem3, greenItem4);
            this.radGalleryElement1.Groups.Add(greenGroup);

            RadGalleryGroupItem purpleGroup = new RadGalleryGroupItem();
            purpleGroup.Text = "Purple Items Group";
            purpleGroup.Items.AddRange(purpleItem1, purpleItem2, purpleItem3, purpleItem4);
            this.radGalleryElement1.Groups.Add(purpleGroup);

            RadGalleryGroupFilter all = new RadGalleryGroupFilter();
            all.Text = "All Groups";
            all.Items.AddRange(blueGroup, greenGroup, purpleGroup);
            this.radGalleryElement1.Filters.Add(all);

            RadGalleryGroupFilter blueGreenFilter = new RadGalleryGroupFilter();
            blueGreenFilter.Text = "Blue and Green Groups";
            blueGreenFilter.Items.Add(blueGroup);
            blueGreenFilter.Items.Add(greenGroup);
            this.radGalleryElement1.Filters.Add(blueGreenFilter);

            RadGalleryGroupFilter greenPurpleFilter = new RadGalleryGroupFilter();
            greenPurpleFilter.Text = "Green and Purple Groups";
            greenPurpleFilter.Items.Add(greenGroup);
            greenPurpleFilter.Items.Add(purpleGroup);
            this.radGalleryElement1.Filters.Add(greenPurpleFilter);

            foreach (RadGalleryItem item in this.radGalleryElement1.Items)
            {
                item.Padding = new Padding(2);
            }

            this.radGalleryElement1.DropDownClosed += this.RadGalleryElement1_DropDownClosed;
        }

        private void RadGalleryElement1_DropDownClosed(object sender, RadPopupClosedEventArgs args)
        {
            Timer timer = new Timer();
            timer.Interval = 10;
            timer.Tick += (t, ev) =>
            {
                timer.Enabled = false;
                this.radGalleryElement1.MinSize = new Size(500, 0);
            };

            timer.Enabled = true;
        }

        private void radButtonElement1_Click(object sender, EventArgs e)
        {
            
        }
    }
}
